<div>
  <h1>Multiplier</h1>

  <label for="value">Value: </label>
  <input id="value" type="number" [(ngModel)]="value" (change)="update()" > =
  <span *ngIf="result > 0">{{result}}</span>

  <br/>
  <hr/>
  <label for="factor">Factor: </label>
  <input #factor id="factor" type="number" [value]="multSvc.factor" >
  <button (click)="setFactor(factor.value)" >Update Factor</button>

</div>
